"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServicesBearerTokenVerifyProvider = void 0;
const rest_1 = require("@loopback/rest");
const jsonwebtoken_1 = require("jsonwebtoken");
class ServicesBearerTokenVerifyProvider {
    constructor() { }
    value() {
        return async (token) => {
            try {
                return jsonwebtoken_1.verify(token, process.env.JWT_SECRET, {
                    issuer: process.env.JWT_ISSUER,
                });
            }
            catch (error) {
                throw new rest_1.HttpErrors.Unauthorized("Token Invalid" /* TokenInvalid */);
            }
        };
    }
}
exports.ServicesBearerTokenVerifyProvider = ServicesBearerTokenVerifyProvider;
//# sourceMappingURL=services-bearer-token-verify.provider.js.map